package cn.feishu.sdk.util;

import java.io.InputStream;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import java.util.Properties;

/**
 * @author jeecg-boot
 * 2019年11月12日10:04:00
 */
public class PropertiesUtils {
    private static Map<String, String> cache = new HashMap<String, String>();

    public static String getConfig(String key) {
        return getValue("config", key);
    }

    public static String getValue(String name, String key) {
        try {
            String cacheValue = (String) cache.get(name + key);
            if (cacheValue != null) {
                return cacheValue;
            }
            Properties props = new Properties();
            InputStream in = PropertiesUtils.class.getResourceAsStream("/"
                    + name + ".properties");
            props.load(in);
            String value = props.getProperty(key);
            cache.put(name + key, value);
            props.clone();
            in.close();
            return value;
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }

    public static Map<String, String> getMap(String name) {
        try {
            Properties props = new Properties();
            InputStream in = PropertiesUtils.class.getResourceAsStream("/"
                    + name + ".properties");
            props.load(in);
            Iterator<Object> it = props.keySet().iterator();
            Map<String, String> map = new HashMap<String, String>();
            while (it.hasNext()) {
                String key = it.next().toString();
                String value = props.getProperty(key);
                map.put(key, value);
            }
            props.clone();
            in.close();
            return map;
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }
}
