package cn.com.ctop.common.module.service.impl;

import cn.com.ctop.common.module.entity.CtopOauthToken;
import cn.com.ctop.common.module.mapper.CtopOauthTokenMapper;
import cn.com.ctop.common.module.service.ICtopOauthTokenService;
import cn.com.ctop.common.module.service.IRefreshTokenService;
import cn.com.ctop.common.module.utils.Check;
import cn.com.ctop.common.module.utils.CtopAdConstant;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Slf4j
@Service
public class RefreshTokenServiceImpl implements IRefreshTokenService {
    @Autowired
    private CtopOauthTokenMapper oauthTokenMapper;
    @Autowired
    private ICtopOauthTokenService oauthTokenService;

    /**
     * 获取所有token
     *
     * @return
     */
    @Override
    public void getKuaiShouRefresh() {
        List<CtopOauthToken> oauthTokens = oauthTokenMapper.selectKuaiShouTokens(CtopAdConstant.PLATFORM_TYPE_KUAISHOU);

        if (!Check.isNull(oauthTokens)) {
            for (CtopOauthToken oauthToken : oauthTokens) {
                log.info("刷新token,accountId:{}", oauthToken.getAccountId());
                //快手
                if (CtopAdConstant.PLATFORM_TYPE_KUAISHOU.equals(oauthToken.getMediaId().trim())) {
                    oauthTokenService.getKuaiShouRefreshToken(oauthToken.getAccountId(), oauthToken.getAccessToken(), oauthToken.getRefreshToken(), oauthToken.getAgentType());
                }
            }
        } else {
            log.error("----------------------刷新token获取数据返回结果为空----------------------------------");
        }
    }

    @Override
    public void byteDanceRefresh() {
        List<CtopOauthToken> byteDanceOauthTokens = oauthTokenMapper.selectByteDanceTokens(CtopAdConstant.PLATFORM_TYPE_BYTEDANCE);
        if (!Check.isNull(byteDanceOauthTokens)) {
            for (CtopOauthToken oauthToken : byteDanceOauthTokens) {
                oauthTokenService.getByteDanceAccessToken(oauthToken.getAccessToken(), oauthToken.getRefreshToken());
            }
        }
    }
}
